
Ruby - Bug #4700

JSON Documentation

05/16/2011 08:26 AM - corymonty (Cory Monty)

Status: Closed   

Priority: Normal   

Assignee: naruse (Yui NARUSE)   

Target version: 1.9.3   

ruby -v: 1.9.3 Backport:  

Description

Adds missing JSON Documentation for Methods and Classes. Mostly Ruby for now, haven't gotten into any C documentation.

Associated revisions

Revision a2e497d5 - 07/10/2011 08:01 AM - naruse (Yui NARUSE)

ext/json: Merge json gem 1.5.4+ (f7f78896607b6f6226cd).

[Bug #4700]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@32493 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 05/16/2011 09:13 AM - naruse (Yui NARUSE)

Thank you for contributuion!

Anyway, json in Ruby's repo is from flori's json (a.k.a. json gem). https://github.com/flori/json

So can you send the patch to him?

After the patch is merged, I update json in Ruby's repo.

#2 - 05/16/2011 07:30 PM - corymonty (Cory Monty)

Sure thing.

Yui NARUSE wrote:

Thank you for contributuion!

Anyway, json in Ruby's repo is from flori's json (a.k.a. json gem). https://github.com/flori/json

So can you send the patch to him?

After the patch is merged, I update json in Ruby's repo.

#3 - 05/17/2011 07:28 AM - drbrain (Eric Hodel)

- Assignee changed from drbrain (Eric Hodel) to naruse (Yui NARUSE)

#4 - 06/27/2011 12:39 AM - naruse (Yui NARUSE)

- Status changed from Open to Feedback

https://github.com/flori/json/issues/79

#5 - 07/10/2011 03:40 PM - naruse (Yui NARUSE)

- Status changed from Feedback to Assigned

#6 - 07/10/2011 05:01 PM - naruse (Yui NARUSE)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r32493.

Cory, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

06/15/2025 1/2

https://github.com/flori/json
https://github.com/flori/json
https://github.com/flori/json/issues/79


May Ruby be with you.

ext/json: Merge json gem 1.5.4+ (f7f78896607b6f6226cd).

[Bug #4700]

Files

0002-Adds-some-basic-documentation-to-JSON-module.patch 8.72 KB 05/16/2011 corymonty (Cory Monty)
